/*
 * Newt-Puzzle
 * Copyright (C) Aude Jaulent 2009 <elderme@tuxfamily.org>
 * 
 * Newt-Puzzle is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Newt-Puzzle is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "entityRing.h"


EntityRing::EntityRing(Material *material, Mesh *mesh, int nb, float radius, float angleOffset, Vector3 center, Vector3 rotAxis, float angleRing) :
	EntityWithPosition (material, NULL, false, center, rotAxis, angleRing) {

	setMaterial(material);
	for(int i=0;i<nb;i++) {
		addChild(new EntityWithValueInRing (NULL, mesh, 0, i, radius, angleOffset, nb, true),i);
	}
}

EntityRing::EntityRing(Material *material, Mesh *mesh, int nb, float radius, float angleOffset, Vector3 center, Vector3 rotAxis, float angleRing, float thetaSons, float phiSons) :
	EntityWithPosition (material, NULL, false, center, rotAxis, angleRing) {

	setMaterial(material);
	for(int i=0;i<nb;i++) {
		addChild(new EntityWithValueInRing (NULL, mesh, 0, i, radius, angleOffset, nb, thetaSons, phiSons, true),i);
	}
}

EntityRing::~EntityRing() {
	
}
