/*
 * Newt-Puzzle
 * Copyright (C) Aude Jaulent 2009 <elderme@tuxfamily.org>
 * 
 * Newt-Puzzle is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Newt-Puzzle is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _GRIDCUBESF_H_
#define _GRIDCUBESF_H_

#include "../grid/virtualGrids.h"
#include "../variousEntities/torus.h"


class GridCubeSF: public GridCube {
public:	
	GridCubeSF(int size, std::vector<int> colors, float spheresRadius, float cylinderRadius, float interval);
	~GridCubeSF();
		
	void reinit();	
		
	int hitToPosition(int hit, int player);
	void insertEntity(int position, int player);
				
	int updateAxis(int player, int i, int j, int k);		
	
		
private:
	CylinderMesh *cylinderAxis;
	TorusMesh *torusMesh;
		
	int baseIndex;
};




#endif // _GRIDCUBESF_H_
